DCMTK: DPMParametricMapSeriesModule Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | Static Private Attributes | List of all members
DPMParametricMapSeriesModule Class Reference

Class representing the Parametric Map Series Module: More...

Inheritance diagram for DPMParametricMapSeriesModule:

## Public Member Functions
| DPMParametricMapSeriesModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor.
| DPMParametricMapSeriesModule ()
| Constructor.
virtual | ~DPMParametricMapSeriesModule ()
| Destructor.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of module ("DPMParametricMapSeriesModule")
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class.
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item.
virtual OFCondition | getModality (OFString &value, const signed long pos=0) const
| Get Modality.
virtual OFCondition | getSeriesNumber (OFString &value, const signed long pos=0) const
| Get Series Number.
virtual SOPInstanceReferenceMacro * | getReferencedPerformedProcedureStepSequence ()
| Get reference to the Referenced Performed Procedure Step Sequence.
virtual OFVector< SOPInstanceReferenceMacro > & | getEntireReferencedPerformedProcedureStepSequence ()
| Get a reference to the entire Referenced Performed Procedure Step Sequence, including items exceeding the value multiplicity restriction of "1".
virtual OFCondition | setModality (const OFString &value, const OFBool checkValue=OFTrue)
| Set Modality.
virtual OFCondition | setSeriesNumber (const OFString &value, const OFBool checkValue=OFTrue)
| Set Series Number.
Public Member Functions inherited from IODModule
| IODModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor.
| IODModule ()
| Constructor.
| IODModule (const IODModule &rhs)
| Copy constructor, creates shallow copy.
IODModule & | operator= (const IODModule &rhs)
| Assignment operator, creates shallow copy.
| ~IODModule ()
| Destructor.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch.
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set.
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set.
virtual | ~IODComponent ()
| Virtual Destructor.
void | clearData ()
| Clear all attributes from the data that are handled by this module.
virtual void | inventMissing ()
| Set missing values by inventing "default values".
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module.
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3.
DcmItem & | getData ()
| Get the data handled by this module.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components.
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing.
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e.

## Private Attributes
OFVector< SOPInstanceReferenceMacro > | m_ReferencedPerformedProcedureStepSequence
| ReferencedPerformedProcedureStepSequence.

## Static Private Attributes
static const OFString | m_ModuleName
| The name of this module ("DPMParametricMapSeriesModule")

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name.
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name.
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class.
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e.

## Detailed Description

Class representing the Parametric Map Series Module:

Modality: (CS, 1, 1) SeriesNumber: (IS, 1, 1) ReferencedPerformedProcedureStepSequence: (SQ, 1, 1C)

## Constructor & Destructor Documentation

## ◆ DPMParametricMapSeriesModule()

DPMParametricMapSeriesModule::DPMParametricMapSeriesModule | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules )

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.

## Member Function Documentation

## ◆ getEntireReferencedPerformedProcedureStepSequence()

virtual OFVector< SOPInstanceReferenceMacro > & DPMParametricMapSeriesModule::getEntireReferencedPerformedProcedureStepSequence | ( |  | ) |
| virtual

Get a reference to the entire Referenced Performed Procedure Step Sequence, including items exceeding the value multiplicity restriction of "1".

Returns
  a reference to the entire Referenced Performed Procedure Step Sequence

## ◆ getModality()

virtual OFCondition DPMParametricMapSeriesModule::getModality | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

Get Modality.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getName()

virtual OFString DPMParametricMapSeriesModule::getName | ( |  | ) | const
| virtual

Get name of module ("DPMParametricMapSeriesModule")

Returns
  Name of the module ("DPMParametricMapSeriesModule")

Implements IODComponent.

## ◆ getReferencedPerformedProcedureStepSequence()

virtual SOPInstanceReferenceMacro * DPMParametricMapSeriesModule::getReferencedPerformedProcedureStepSequence | ( |  | ) |
| virtual

Get reference to the Referenced Performed Procedure Step Sequence.

Returns
  a reference to the Referenced Performed Procedure Step Sequence

## ◆ getSeriesNumber()

virtual OFCondition DPMParametricMapSeriesModule::getSeriesNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

Get Series Number.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ read()

virtual OFCondition DPMParametricMapSeriesModule::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = OFTrue )
| virtual

Read attributes from given item into this class.

Parameters

  source | The source to read from
  clearOldData | If OFTrue, old data is cleared before reading. Otherwise old data is overwritten (or amended)

Returns
  EC_Normal if reading was successful, error otherwise

Reimplemented from IODComponent.

## ◆ setModality()

virtual OFCondition DPMParametricMapSeriesModule::setModality | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Modality.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setSeriesNumber()

virtual OFCondition DPMParametricMapSeriesModule::setSeriesNumber | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Series Number.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ write()

virtual OFCondition DPMParametricMapSeriesModule::write | ( | DcmItem & | destination | ) |
| virtual

Write attributes from this class into given item.

Parameters

  destination | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Reimplemented from IODComponent.

The documentation for this class was generated from the following file:

- dcmpmap/include/dcmtk/dcmpmap/dpmmodparametricmapseries.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2